> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuwinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accounts

> Returns all whatsapp accounts from the system that the user has access to



## OpenAPI

````yaml GET /messaging/whatsapp/accounts
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.zuwinda.com/v2
security:
  - ZuwindaToken: []
paths:
  /messaging/whatsapp/accounts:
    get:
      description: >-
        Returns all whatsapp accounts from the system that the user has access
        to
      parameters: []
      responses:
        '200':
          description: whatsapp accounts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWhatsappAccounts'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetWhatsappAccounts:
      required:
        - data
      type: object
      properties:
        data:
          type: object
          properties:
            responseCode:
              type: string
              example: '00'
            accounts:
              type: array
              items:
                type: object
                properties:
                  accountId:
                    type: string
                    example: 5bb8427e-afd7-4fd9-bf76-b93cc8aff20e
                  accountName:
                    type: string
                    example: Zuwinda Bot
                  clusterId:
                    type: string
                    example: 821b80f5-b0f0-4bcf-ad09-89c1575a726d
                  whatsapp_number:
                    type: string
                    example: '628151122333'
                  status:
                    type: string
                    example: active
                  whatsapp_status:
                    type: string
                    example: connected
                  is_official:
                    type: boolean
                  connection_reason:
                    type: string
                    example: Ok
                  created_at:
                    type: string
                    example: '2024-04-23T12:25:17.000Z'
    Error:
      required:
        - data
      type: object
      properties:
        data:
          type: object
          properties:
            responseCode:
              type: integer
              format: int64
            message:
              type: string
  securitySchemes:
    ZuwindaToken:
      type: apiKey
      in: header
      name: X-Access-Key
      description: Your Zuwinda API token

````